Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## portlets.compoze.groupware
Class EmbeddedMessageAttachmentInfo

    java.lang.Object
      portlets.compoze.groupware.AttachmentInfo
          portlets.compoze.groupware.EmbeddedMessageAttachmentInfo

All Implemented Interfaces:
  java.io.Serializable

public class EmbeddedMessageAttachmentInfo
extends AttachmentInfo
implements java.io.Serializable

This class represents attachment information.

See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class portlets.compoze.groupware.AttachmentInfo
`AttachmentInfo.Type`

Constructor Summary
`EmbeddedMessageAttachmentInfo(java.lang.String sMessageID, int iIndex, java.lang.String sName, int iSize)` Constructor.
`EmbeddedMessageAttachmentInfo(java.lang.String sMessageID, int iIndex, java.lang.String sName, int iSize, java.lang.String sAttachmentID)` Constructor.

Methods inherited from class portlets.compoze.groupware.AttachmentInfo
`getAttachmentID, getIndex, getMessageID, getName, getSize, getSizeinKiloBytes, getType, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EmbeddedMessageAttachmentInfo

    public EmbeddedMessageAttachmentInfo(java.lang.String sMessageID,
                                         int iIndex,
                                         java.lang.String sName,
                                         int iSize)

  Constructor.

Parameters:
  `sMessageID` - the message ID
  `iIndex` - the attachment index
  `sName` - the attachment name
  `iSize` - the size (in bytes)

### EmbeddedMessageAttachmentInfo

    public EmbeddedMessageAttachmentInfo(java.lang.String sMessageID,
                                         int iIndex,
                                         java.lang.String sName,
                                         int iSize,
                                         java.lang.String sAttachmentID)

  Constructor.

Parameters:
  `sMessageID` - the message ID
  `iIndex` - the attachment index
  `sName` - the attachment name
  `iSize` - the size (in bytes)
  `sAttachmentID` - the attachment ID

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.